
//
// To jest przykładowy kod z podrozdziału 13.5 „Typ Line_style” książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"  // Dołącza naszą bibliotekę okien.
#include "Graph.h"          // Dołącza narzędzia graficzne.

//------------------------------------------------------------------------------

int main()
try
{
    using namespace Graph_lib;    // Nasze narzędzia graficzne znajdują się w bibliotece Graph_lib

    Simple_window win1(Point(100,100),600,400,"Dwie linie");    

    Line horizontal(Point(100,100),Point(200,100)); // Tworzy linię poziomą.
    Line vertical(Point(150,50),Point(150,150));    // Tworzy linię pionową.

    horizontal.set_color(Color::red);
    vertical.set_color(Color::green);

    win1.attach(horizontal);      // Wiąże linie z oknem.
    win1.attach(vertical);

    win1.wait_for_button();       // Wyświetl!
}
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
